docs
UAEN
API Reference

Track Changes

Compare two versions of a document and generate a track-changes DOCX.

POST/api/v1/track-changes

Authorizations

X-API-Keystringheaderrequired
Your API key for authentication

Body Parameters

originalstringbodyrequired
Original markdown text
modifiedstringbodyrequired
Modified markdown text
output_formatstringbody
Output format. Default 'docx'.
webhook_urlstringbody
Optional webhook URL

Cookies

wos-sessionstringcookie
Session cookie
access_tokenstringcookie
Access token cookie
datalab_active_teamstringcookie
Active team cookie

Response

Successful Response
Track Changes
import requests

url = "https://www.datalab.to/api/v1/track-changes"
headers = {"X-API-Key": "<api-key>"}
payload = {"original": "<string>", "modified": "<string>"}

response = requests.post(url, json=payload, headers=headers)
print(response.text)
200Success
{
  "request_id": "<string>",
  "request_check_url": "<string>",
  "success": true,
  "error": "<string>",
  "versions": {}
}